use super::*;

pub async fn on_get_friend_list(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetFriendListCsReq,
) -> NetResult<GetFriendListScRsp> {
    Ok(GetFriendListScRsp {
        retcode: Retcode::RetSucc.into(),
        ..Default::default()
    })
}

pub async fn on_get_friend_limit_info(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetFriendLimitInfoCsReq,
) -> NetResult<GetFriendLimitInfoScRsp> {
    Ok(GetFriendLimitInfoScRsp {
        retcode: Retcode::RetSucc.into(),
        ngaiiafngbk: 30,
        ajndiihdlfa: 300,
        ..Default::default()
    })
}
